<%@ Page Language="C#" AutoEventWireup="true" Inherits="install_Default" Codebehind="index.aspx.cs" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>安装系统</title>
    <link rel="stylesheet" type="text/css" href="../system/skins/css/main.css" />
    <link rel="stylesheet" type="text/css" href="../system/skins/css/Sys.css" />

    <script type="text/javascript" language="javascript" src="../system/js/JFramework.js"></script>

    <script type="text/javascript" language="javascript" src="../system/js/Sys.js"></script>

    <script type="text/javascript" language="javascript">
	var objAjax=new JAjax();
	var sPath,DataName,userName,userPass,isIP
	var div;
	var tabList;
	var infoObj;


	function testSql()
	{
		var server=$("serverPath").value;
		var dbname=$("dbName").value;
		var user=$("dbUser").value;
		var pass=$("dbPass").value;
		
		if (server==""|dbname==""|user=="")
		{
			alert("服务器名 数据库名 用户名不能为空");
			return false;
		}
		var objResponse=new JHttpResponse();
		objResponse.write("server",server);
		objResponse.write("DataName",dbname);
		objResponse.write("userName",user);
		objResponse.write("userPass",pass);
		
		var out=objAjax.getText("post","index.aspx?type=testSQL",objResponse,null);
		if (out=="1")
		{
		    sPath=server;
		    DataName=dbname;
		    userName=user;
		    userPass=pass;
		    if ($("isIpDatabase").checked){
		        isIP=1;
		    }else{
		        isIP=0;
		    }
		   // alert(isIP);
		    return true;
		}
		else if(out=="0")
		{
	    	alert("您填写的数据库参数不正确, 无法和数据库连接");
		    return false;
		}else{
		     alert(erStr(out))   ;
		     return false;
		}
	}
	
	
	function readTable()
	{
			var out=objAjax.getText("post","index.aspx?type=readTable",null,null);
			if (out.indexOf(c1)==-1){
			    alert(erStr(out));
			    return;
			}
			tabList=out.split(c1);
			infoObj.innerText="创建数据表和存储过程";
			setTimeout("createScript()",1000)
			
	}
	
	function createScript()
	{
	    var objResponse=new JHttpResponse();
		objResponse.write("server",sPath);
		objResponse.write("DataName",DataName);
		objResponse.write("userName",userName);
		objResponse.write("userPass",userPass);
	 	var out=objAjax.getText("post","index.aspx?type=createScript",objResponse,null);   
	 	if (out!="OK"){
	 	 // infoObj.innerHTML=out;
	 	    alert(erStr(out));
	 	    return;
	 	}
	 	infoObj.innerHTML="开始导入初始数据, 此操作需要比较长的时候, 请耐心等待;";
		setTimeout("inputData()",1000)
	}
	
	var x=0;
	function inputData(){
	    if (x>tabList.length-1 | x==tabList.length-1){
	        infoObj.innerHTML="数据表导入全部完成<br>正在准备 web.Config";
	        setTimeout("setWebConfig()",1500);
	        return;
	    }
	    var tab=tabList[x];
	    x++;
	    
	     var objResponse=new JHttpResponse();
		objResponse.write("server",sPath);
		objResponse.write("DataName",DataName);
		objResponse.write("userName",userName);
		objResponse.write("userPass",userPass);
		objResponse.write("tab",tab);
		var obj=$("erDiv");
		var info="";
		if (tab.toLowerCase() =="zydn_ip"){
		   // alert(tab);
		    if (isIP==1){
    	 	    var out=objAjax.getText("post","index.aspx?type=inputData",objResponse,null);   
		    }else{
		        var out="1";
		        info=" 跳过IP库";
		    }
		}else{
	 	    var out=objAjax.getText("post","index.aspx?type=inputData",objResponse,null);   
	 	}
 	    var tab2=tabList[x];
 	    if (tab2!="" & tab2!=null){
            info=info+"<BR>正在导入"+tab2+"表";
            if (tab2=="zydn_ip"){
              if (isIP==1){
                info=info+", 本表包含17万条IP记录,数据比较多, 大约要5-10分钟才能全部导入完成,请耐心等待...."
               }
            }
        }
        
	 	if (out=="1"){
	 	    var t="开始导入初始数据, 此操作需要比较长的时候, 请耐心等待,<br> 表"+tab+"导入成功,"+info;
	 	    infoObj.innerHTML=t;
	 	}else if (out=="0"){
	 	    infoObj.innerHTML="开始导入初始数据, 此操作需要比较长的时间, 请耐心等待,<br> 表"+tab+"导入失败,"+info;
	 	    obj.innerHTML=obj.innerHTML+"<br> 表"+tab+"导入失败"
	 	}else{
	 	     alert(erStr(out));
	 	    return;
	 	}
	 	setTimeout("inputData()",500)
	}
	
	
	function setWebConfig(){ //配置 web.config;
	    var objResponse=new JHttpResponse();
		objResponse.write("server",sPath);
		objResponse.write("DataName",DataName);
		objResponse.write("userName",userName);
		objResponse.write("userPass",userPass);
		var out=objAjax.getText("post","index.aspx?type=setConfig",objResponse,null);   
		if (out=="OK"){
		    $("b2").disabled=false;
		    var t="系统配置完成,\n 为了您的系统安全, 请在完成安装后, 删除 install 文件夹,\n 否则, 在正在运行的网站上运行安装程序, 会导致网站上的数据全部丢失";
		    t=t+"\n系统默认管理员用户名: admin  密码 admin888 , 在网站上登录后, 点管理网站, 即可进入后台管理";
		    infoObj.innerText=t;
		    //alert(t)
		}else{
		    $("div2").style.display="none";
		    $("aqdiv").style.display="";
		     alert(erStr(out)) ;
		    return;
		}
	}
	
	function step_2start()
	{
	    div[0].style.display="none";
	    div[1].style.display="";
	    infoObj=$("infoDiv");
	    infoObj.innerText="正在读取需导入的数据表列表";
	    setTimeout("readTable()",1000);
	}
	
	
	function step_1End()
	{
	    div=document.getElementsByName("sDiv");
    	if (testSql())
    	{
    	    step_2start();
    	}
    	return;
    	
	}
	
	function ok(){
	    alert("默认的系统管理员用户名为: admin 密码为 admin888, 请第一时间修改此密码,")
	    location.href="../"
	}
	
	
	function loadPage(){
	    $("div1").style.display="none";
	    $("div2").style.display="";
	    
	}
	
    </script>

</head>
<body onload="loadPage();">
    <center>
        <div id="div1" style="width: 550px; padding: 10px; background-color: #afcff6;">
            你的浏览器不能运行JS程序， 安装不能进行，请从浏览器的工具菜单，选择internet选项，点击安全，选择internet，再按下图设置， 设置好IE的安全性，之后就可以运行JS，安装就能继续了．
            <img src="js.gif" />
        </div>
        <div id="div2" style="width: 520px; margin-top: 50px; padding: 10px; background-color: #afcff6;
            display: none;">
            <form id="form1">
                <div id="sDiv">
                    <div style="width: 500px; height: 250px;">
                        请设置SQL服务器参数:
                        <table>
                            <tr>
                                <td style="width: 88px">
                                    服务器名:</td>
                                <td style="width: 72px">
                                    <input name="serverPath" type="text" id="serverPath" style="width: 60px" value="" /></td>
                                <td style="width: 314px">
                                    填写SQL服务器的IP或服务器名, 本机可以填写为 127.0.0.1 或 .（一个小数点，强烈建议用这个方法）
                                    <br />
                                    如果不是连接默认端口的SQL服务器,在服务器名后加(,端口)如: <font color="red">192.168.1.8,1500</font></td>
                            </tr>
                            <tr>
                                <td style="width: 88px">
                                    数据库名:</td>
                                <td style="width: 72px">
                                    <input name="dbName" type="text" id="dbName" style="width: 60px" value="" /></td>
                                <td style="width: 314px">
                                    SQL数据库的名字</td>
                            </tr>
                            <tr>
                                <td style="width: 88px">
                                    连接用户名:</td>
                                <td style="width: 72px">
                                    <input name="dbUser" type="text" id="dbUser" style="width: 60px" value="" /></td>
                                <td style="width: 314px">
                                    连接到SQL数据库的用户名, 如果本机测试, 建议使用: sa</td>
                            </tr>
                            <tr>
                                <td style="width: 88px">
                                    连接密码:</td>
                                <td style="width: 72px">
                                    <input name="dbPass" type="text" id="dbPass" style="width: 60px" value="" /></td>
                                <td style="width: 314px">
                                    连接SQL数据库服务器的用户密码, 本机测试填写安装SQL Server时, 设置的密码</td>
                            </tr>
                            <tr>
                                <td style="width: 88px">
                                    导入IP库:</td>
                                <td style="width: 72px">
                                    <input type="checkbox" id="isIpDatabase" name="isIpDatabase" /></td>
                                <td style="width: 314px">
                                    虚拟主机用户, 一般不建议导入IP库, 17万条IP记录,需要大量的时间才能导入
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div>
                        <input type="button" value="我同意使用协议, 开始下一步" onclick="step_1End()" /></div>
                </div>
                <div id="sDiv" style="display: none;">
                    <div id="infoDiv" style="width: 500px; height: 100px;">
                    </div>
                    <div id="erDiv" style="width: 500px; height: 150px; overflow: auto;">
                    </div>
                    <input type="button" value="完成" onclick="ok();" id="b2" disabled="disabled" />
                </div>
            </form>
        </div>
        <div style="display:none;width: 550px; padding: 10px; background-color: #afcff6;" id="aqdiv">
           看到这个提示，说明你的的网站所在目录没有写文件权限，系统不能重写文件，请参考下面的图打开网站的写文件权限．
            <img src="aq.gif" />
        </div>
        网站快车 使用许可协议<br>
        <iframe name="I1" style="width: 500px; height: 300px" src="agre.htm">浏览器不支持嵌入式框架，或被配置为不显示嵌入式框架。</iframe>
        <p>
            网站快车 重庆悦网网络科技有限公司 电话: 023-67876119 联系人: 徐康永</p>
    </center>
</body>
</html>
